Skip to content
Skip to main content
PATCH
https://api.us.nylas.com/v3/scheduling/bookings/{booking_id}

Reschedule a booking

Reschedules the specified booking. Nylas also updates the associated event on the provider.

Nylas recommends against changing participants' email addresses while updating a booking, to avoid confusion.

Nylas validates the provided session ID and uses it to retrieve the related Configuration object. If you created a public Configuration, you don't need to include the Authorization request header with a session ID, but you do need to pass the Configuration object ID as a query parameter.

When you make a PATCH request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

Works with an authorization token or an IAM API key with the bookings.update permission.

Parameters

Path parameters

booking_id*string

The ID of the booking object to access.

Query parameters

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

Request body

start_time*string

The event's start time, in seconds using the Unix timestamp format.

end_time*string

The event's end time, in seconds using the Unix timestamp format.

Responses

request_idstring

ID of the request.

PATCHhttps://api.us.nylas.com/v3/scheduling/bookings/{booking_id}

Paste the authorization token required for this endpoint.

booking_idrequiredstring

The ID of the booking object to access.

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.